Bug 236746 - WPEQtView is missing most features
Summary: WPEQtView is missing most features
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: WebKit Local Build
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-16 18:03 PST by tusooa
Modified: 2022-04-01 14:40 PDT (History)
4 users (show)

See Also:


Attachments
Expose WebKitWebView in WPEQtView (1.31 KB, patch)
2022-03-22 13:03 PDT, tusooa
no flags Details | Formatted Diff | Diff
Expose WebKitWebView from WPEQtView (with changelog) (2.31 KB, patch)
2022-03-23 16:40 PDT, tusooa
aperez: review-
Details | Formatted Diff | Diff
Expose WebKitWebView from WPEQtView (2.35 KB, patch)
2022-03-31 15:35 PDT, tusooa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tusooa 2022-02-16 18:03:54 PST
If using WPEQtView, it seems that ( https://github.com/WebKit/WebKit/blob/main/Source/WebKit/UIProcess/API/wpe/qt/WPEQtView.h ) only a handful of methods/properties are available, comparing to WebKitWebView ( https://github.com/WebKit/WebKit/blob/main/Source/WebKit/UIProcess/API/wpe/WebKitWebView.h ). To make things worse, there is no way to retrieve the inner WebKitWebView either. This means I cannot use most of the features in WebKitWebView if I want to use WPEQtView.

Ideally, I should be able to use any WebKit public API within QML (meaning wrapping all the classes into QObjects). If that is unfeasible, we should at least provide API to construct with a user-provided WebKitWebView, and retrieve the one stored.
Comment 1 tusooa 2022-03-22 13:03:56 PDT
Created attachment 455417 [details]
Expose WebKitWebView in WPEQtView
Comment 2 Philippe Normand 2022-03-22 14:23:06 PDT
LGTM but a ChangeLog is needed, see https://webkit.org/contributing-code/#changelog-files
Comment 3 tusooa 2022-03-23 16:40:58 PDT
Created attachment 455583 [details]
Expose WebKitWebView from WPEQtView (with changelog)
Comment 4 Jonathan Bedard 2022-03-31 15:08:06 PDT
Marked the patch as "r?", since it seems that was Tusooa's intent.
Comment 5 Adrian Perez 2022-03-31 15:15:57 PDT
Comment on attachment 455583 [details]
Expose WebKitWebView from WPEQtView (with changelog)

I think we could merge this, but could you please make the style
bot happy? If you want to check your commit locally, you can use
“Tools/Scripts/check-webkit-style -g @”

View in context: https://bugs.webkit.org/attachment.cgi?id=455583&action=review

> Source/WebKit/ChangeLog:11
> +        No new tests (OOPS!).

You need to remove this line, or rewrite it as “No new tests needed.”
Comment 6 tusooa 2022-03-31 15:35:23 PDT
Created attachment 456292 [details]
Expose WebKitWebView from WPEQtView
Comment 7 tusooa 2022-03-31 15:36:42 PDT
(In reply to Adrian Perez from comment #5)
> Comment on attachment 455583 [details]
> Expose WebKitWebView from WPEQtView (with changelog)
> 
> I think we could merge this, but could you please make the style
> bot happy? If you want to check your commit locally, you can use
> “Tools/Scripts/check-webkit-style -g @”
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=455583&action=review
> 
> > Source/WebKit/ChangeLog:11
> > +        No new tests (OOPS!).
> 
> You need to remove this line, or rewrite it as “No new tests needed.”

Thank you for suggesting the tool. It no longer complains with the patch I added just now.
Comment 8 Adrian Perez 2022-04-01 01:54:20 PDT
(In reply to tusooa from comment #7)
> (In reply to Adrian Perez from comment #5)
> > Comment on attachment 455583 [details]
> > Expose WebKitWebView from WPEQtView (with changelog)
> > 
> > I think we could merge this, but could you please make the style
> > bot happy? If you want to check your commit locally, you can use
> > “Tools/Scripts/check-webkit-style -g @”
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=455583&action=review
> > 
> > > Source/WebKit/ChangeLog:11
> > > +        No new tests (OOPS!).
> > 
> > You need to remove this line, or rewrite it as “No new tests needed.”
> 
> Thank you for suggesting the tool. It no longer complains with the patch I
> added just now.

Thanks, patch approved. I'll wait that the bots are green before sending
it to the commit queue :)
Comment 9 EWS 2022-04-01 07:48:13 PDT
ChangeLog entry in Source/WebKit/ChangeLog contains OOPS!.
Comment 10 EWS 2022-04-01 14:40:08 PDT
Committed r292236 (249137@main): <https://commits.webkit.org/249137@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 456292 [details].